autofs-5.1.5 - Explain /etc/auto.master.d usage

From: Ian Kent <Vincent.Mcintyre@csiro.au>

I've noticed people have difficulty fully parsing the rather terse
description in samples/auto.master, eg bugs.debian.org/693782.
Give a specific example of the usage to make understanding easier.

Signed-off-by: Vincent McIntyre <vincent.mcintyre@csiro.au>
Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG            |    1 +
 man/auto.master.5.in |   14 ++++++++++++++
 samples/auto.master  |    6 +++++-
 3 files changed, 20 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index 44ce6b69..2da66e81 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -11,6 +11,7 @@ xx/xx/2019 autofs-5.1.6
 - allow period following macro in selector value.
 - fix macro expansion in selector values.
 - fix typing errors.
+- Explain /etc/auto.master.d usage.
 
 30/10/2018 autofs-5.1.5
 - fix flag file permission.
diff --git a/man/auto.master.5.in b/man/auto.master.5.in
index dace4a1c..b99b3b8e 100644
--- a/man/auto.master.5.in
+++ b/man/auto.master.5.in
@@ -391,6 +391,20 @@ All accesses to paths in the map
 will trigger mounts when they are accessed and the Name Service Switch
 configuration will be used to locate the source of the map
 .IR auto.data .
+.sp
+To avoid making edits to @@autofsmapdir@@/auto.master,
+@@autofsmapdir@@/auto.master.d may be used.
+Files in that directory must have a ".autofs" suffix, e.g.
+.IR @@autofsmapdir@@/auto.master.d/extra.autofs.
+Such files contain lines of the same format as the auto.master file, e.g.
+.sp
+.RS +.2i
+.ta 1.0i
+.nf
+/foo    /etc/auto.foo
+/baz    yp:baz.map
+.fi
+.RE
 .SH "SEE ALSO"
 .BR automount (8),
 .BR autofs (5),
diff --git a/samples/auto.master b/samples/auto.master
index 9a9968a3..5483e3cf 100644
--- a/samples/auto.master
+++ b/samples/auto.master
@@ -13,7 +13,11 @@
 /net	-hosts
 #
 # Include /etc/auto.master.d/*.autofs
-# The included files must conform to the format of this file.
+# To add an extra map using this mechanism you will need to add
+# two configuration items - one /etc/auto.master.d/extra.autofs file
+# (using the same line format as the auto.master file)
+# and a separate mount map (e.g. /etc/auto.extra or an auto.extra NIS map)
+# that is referred to by the extra.autofs file.
 #
 +dir:/etc/auto.master.d
 #
